import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { WizardTabComponent } from "../wizard-tab/wizard-tab.component";
import { WizardEventService } from "../wizard-event-service";
export declare class TabbedWizardComponent implements OnInit, OnDestroy {
    private wizardEventService;
    logoUrl: string;
    logoHeight: string;
    onTabChanged: EventEmitter<{}>;
    tabs: Array<WizardTabComponent>;
    private subscription;
    private numberOfTabs;
    constructor(wizardEventService: WizardEventService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    addTab(tab: WizardTabComponent): void;
    showTab(clickedTab: WizardTabComponent): void;
    goToNextTab(): void;
    private getActiveTab();
}
